{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}

<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            Vous etes connectés en tant que  {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se déconnecter</a>
        </div>
    {% endif %}
    <div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <form onsubmit="event.preventDefault()" class="box">
                    <h1>Se connecter</h1>
                    <p class="text-muted"> Entrer votre email et mot de passe!</p> 
                    <input type="email" name="" placeholder="Email"> 
                    <input type="password" name="" placeholder="Mot de passe"> 
                    <a class="forgot text-muted" href="#">Mot de passe oublié?</a> 
                    <input type="submit" name="" value="Login" href="#">
                </form>
            </div>
        </div>
    </div>
</div>
    <h1 class="h3 mb-3 font-weight-normal">Se connecter</h1>
    <label for="inputEmail">Email</label>
    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
    <label for="inputPassword">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

    <button class="btn btn-lg btn-primary" type="submit">
        Se connecter
    </button>
</form>
<p><a href="{{ path('app_forgot_password_request') }}">Mot de passe oublié</a></p>
{% endblock %}
